Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.proxy
Class ProxyControl

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.control.GenericController
              org.apache.jmeter.protocol.http.proxy.ProxyControl

All Implemented Interfaces:
  Cloneable, Controller, Serializable, TestElement

public class ProxyControl
extends GenericController

Class handles storing of generated samples, etc

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_PORT`
`static String` | `DEFAULT_PORT_S`
`static int` | `GROUPING_ADD_SEPARATORS`
`static int` | `GROUPING_IN_CONTROLLERS`
`static int` | `GROUPING_NO_GROUPS`
`static int` | `GROUPING_STORE_FIRST_ONLY`
`static int` | `SAMPLER_TYPE_HTTP_SAMPLER`
`static int` | `SAMPLER_TYPE_HTTP_SAMPLER2`

Fields inherited from class org.apache.jmeter.control.GenericController
`current, subControllersAndSamplers`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ProxyControl()`

Method Summary
`void` | `addConfigElement(ConfigElement config)`
`void` | `addExcludedPattern(String pattern)`
`void` | `addIncludedPattern(String pattern)`
`boolean` | `canRemove()` Called by Remove to determine if it is safe to remove the element.
`void` | `clearExcludedPatterns()`
`void` | `clearIncludedPatterns()`
`void` | `deliverSampler(HTTPSamplerBase sampler, TestElement[] subConfigs, SampleResult result)` Receives the recorded sampler from the proxy server for placing in the test tree. param serverResponse to be added to allow saving of the server's response while recording.
`boolean` | `getAssertions()`
`boolean` | `getCaptureHttpHeaders()`
`String` | `getContentTypeExclude()`
`String` | `getContentTypeInclude()`
`int` | `getDefaultPort()`
`CollectionProperty` | `getExcludePatterns()`
`int` | `getGroupingMode()`
`Class` | `getGuiClass()`
`boolean` | `getHttpsSpoof()`
`String` | `getHttpsSpoofMatch()`
`CollectionProperty` | `getIncludePatterns()`
`int` | `getPort()`
`String` | `getPortString()`
`boolean` | `getRegexMatch()`
`boolean` | `getSamplerDownloadImages()`
`boolean` | `getSamplerFollowRedirects()`
`boolean` | `getSamplerRedirectAutomatically()`
`int` | `getSamplerTypeName()`
`JMeterTreeNode` | `getTarget()`
`boolean` | `getUseKeepalive()`
`void` | `setAssertions(boolean b)`
`void` | `setCaptureHttpHeaders(boolean capture)`
`void` | `setContentTypeExclude(String contentTypeExclude)`
`void` | `setContentTypeInclude(String contentTypeInclude)`
`void` | `setExcludeList(Collection list)`
`void` | `setGroupingMode(int grouping)`
`void` | `setHttpsSpoof(boolean b)`
`void` | `setHttpsSpoofMatch(String s)`
`void` | `setIncludeList(Collection list)`
`void` | `setPort(int port)`
`void` | `setPort(String port)`
`void` | `setRegexMatch(boolean b)`
`void` | `setSamplerDownloadImages(boolean b)`
`void` | `setSamplerFollowRedirects(boolean b)`
`void` | `setSamplerRedirectAutomatically(boolean b)`
`void` | `setSamplerTypeName(int samplerTypeName)`
`void` | `setTarget(JMeterTreeNode target)` Sets the target node where the samples generated by the proxy have to be stored.
`void` | `setUseKeepAlive(boolean b)`
`void` | `startProxy()`
`void` | `stopProxy()`

Methods inherited from class org.apache.jmeter.control.GenericController
`addIterationListener, addTestElement, currentReturnedNull, fireIterationStart, fireIterEvents, getCurrentElement, getIterCount, getSubControllers, incrementCurrent, incrementIterCount, initialize, isDone, isFirst, next, nextIsAController, nextIsASampler, nextIsNull, reInitialize, removeCurrentElement, resetCurrent, resetIterCount, setCurrentElement, setDone, setFirst`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_PORT_S

    public static final String DEFAULT_PORT_S

### GROUPING_NO_GROUPS

    public static final int GROUPING_NO_GROUPS

See Also:
  Constant Field Values

### GROUPING_ADD_SEPARATORS

    public static final int GROUPING_ADD_SEPARATORS

See Also:
  Constant Field Values

### GROUPING_IN_CONTROLLERS

    public static final int GROUPING_IN_CONTROLLERS

See Also:
  Constant Field Values

### GROUPING_STORE_FIRST_ONLY

    public static final int GROUPING_STORE_FIRST_ONLY

See Also:
  Constant Field Values

### SAMPLER_TYPE_HTTP_SAMPLER

    public static final int SAMPLER_TYPE_HTTP_SAMPLER

See Also:
  Constant Field Values

### SAMPLER_TYPE_HTTP_SAMPLER2

    public static final int SAMPLER_TYPE_HTTP_SAMPLER2

See Also:
  Constant Field Values

Constructor Detail

### ProxyControl

    public ProxyControl()

Method Detail

### setPort

    public void setPort(int port)

### setPort

    public void setPort(String port)

### setCaptureHttpHeaders

    public void setCaptureHttpHeaders(boolean capture)

### setGroupingMode

    public void setGroupingMode(int grouping)

### setAssertions

    public void setAssertions(boolean b)

### setSamplerTypeName

    public void setSamplerTypeName(int samplerTypeName)

### setSamplerRedirectAutomatically

    public void setSamplerRedirectAutomatically(boolean b)

### setSamplerFollowRedirects

    public void setSamplerFollowRedirects(boolean b)

### setUseKeepAlive

    public void setUseKeepAlive(boolean b)

  Parameters:
    `b` -

### setSamplerDownloadImages

    public void setSamplerDownloadImages(boolean b)

### setIncludeList

    public void setIncludeList(Collection list)

### setExcludeList

    public void setExcludeList(Collection list)

### setRegexMatch

    public void setRegexMatch(boolean b)

  Parameters:
    `b` -

### setHttpsSpoof

    public void setHttpsSpoof(boolean b)

### setHttpsSpoofMatch

    public void setHttpsSpoofMatch(String s)

### setContentTypeExclude

    public void setContentTypeExclude(String contentTypeExclude)

### setContentTypeInclude

    public void setContentTypeInclude(String contentTypeInclude)

### getAssertions

    public boolean getAssertions()

### getGroupingMode

    public int getGroupingMode()

### getPort

    public int getPort()

### getPortString

    public String getPortString()

### getDefaultPort

    public int getDefaultPort()

### getCaptureHttpHeaders

    public boolean getCaptureHttpHeaders()

### getSamplerTypeName

    public int getSamplerTypeName()

### getSamplerRedirectAutomatically

    public boolean getSamplerRedirectAutomatically()

### getSamplerFollowRedirects

    public boolean getSamplerFollowRedirects()

### getUseKeepalive

    public boolean getUseKeepalive()

### getSamplerDownloadImages

    public boolean getSamplerDownloadImages()

### getRegexMatch

    public boolean getRegexMatch()

### getHttpsSpoof

    public boolean getHttpsSpoof()

### getHttpsSpoofMatch

    public String getHttpsSpoofMatch()

### getContentTypeExclude

    public String getContentTypeExclude()

### getContentTypeInclude

    public String getContentTypeInclude()

### getGuiClass

    public Class getGuiClass()

### addConfigElement

    public void addConfigElement(ConfigElement config)

### startProxy

    public void startProxy()
                    throws IOException

  Throws:
    `IOException`

### addExcludedPattern

    public void addExcludedPattern(String pattern)

### getExcludePatterns

    public CollectionProperty getExcludePatterns()

### addIncludedPattern

    public void addIncludedPattern(String pattern)

### getIncludePatterns

    public CollectionProperty getIncludePatterns()

### clearExcludedPatterns

    public void clearExcludedPatterns()

### clearIncludedPatterns

    public void clearIncludedPatterns()

### getTarget

    public JMeterTreeNode getTarget()

  Returns:
    the target controller node

### setTarget

    public void setTarget(JMeterTreeNode target)

  Sets the target node where the samples generated by the proxy have to be stored.

### deliverSampler

    public void deliverSampler(HTTPSamplerBase sampler,
                               TestElement[] subConfigs,
                               SampleResult result)

  Receives the recorded sampler from the proxy server for placing in the test tree. param serverResponse to be added to allow saving of the server's response while recording. A future consideration.

### stopProxy

    public void stopProxy()

### canRemove

    public boolean canRemove()

  Description copied from interface: `TestElement`
  Called by Remove to determine if it is safe to remove the element. The element can either clean itself up, and return true, or the element can return false.

  Specified by:
    `canRemove` in interface `TestElement`
  Overrides:
    `canRemove` in class `AbstractTestElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.